io.agora.rtc

## Enum Constants.AudioScenario

- java.lang.Object
- - java.lang.Enum<Constants.AudioScenario>
  - - io.agora.rtc.Constants.AudioScenario

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Constants.AudioScenario>
  Enclosing class:
    Constants

      public static enum Constants.AudioScenario
      extends java.lang.Enum<Constants.AudioScenario>

  Sets the audio application scenarios.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CHATROOM` 5: The chatroom scenario, which needs to keep recording when setClientRole to audience.
    `DEFAULT` 0: (Recommended) The default audio scenario.
    `GAME_STREAMING` 3: (Recommended) The live gaming scenario, which needs to enable the gaming audio effects in the speaker mode in a live broadcast scenario.
    `HIGH_DEFINITION` 6: (Recommended) High definition.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private int` | `value`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `getValue(Constants.AudioScenario type)`
    `static Constants.AudioScenario` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Constants.AudioScenario[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### DEFAULT

          public static final Constants.AudioScenario DEFAULT

      0: (Recommended) The default audio scenario.

    - #### GAME_STREAMING

          public static final Constants.AudioScenario GAME_STREAMING

      3: (Recommended) The live gaming scenario, which needs to enable the gaming audio effects in the speaker mode in a live broadcast scenario. Choose this scenario to achieve high-fidelity music playback.

    - #### CHATROOM

          public static final Constants.AudioScenario CHATROOM

      5: The chatroom scenario, which needs to keep recording when setClientRole to audience. Normally, app developer can also use mute api to achieve the same result, and we implement this 'non-orthogonal' behavior only to make API backward compatible.

    - #### HIGH_DEFINITION

          public static final Constants.AudioScenario HIGH_DEFINITION

      6: (Recommended) High definition.

  - ### Field Detail

    - #### value

          private int value

  - ### Method Detail

    - #### values

          public static Constants.AudioScenario[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Constants.AudioScenario c : Constants.AudioScenario.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Constants.AudioScenario valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public static int getValue(Constants.AudioScenario type)